<!--
  Generated template for the ProjectdashboardPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar hideBackButton color="dark">
  	<ion-buttons left>
	  	<button ion-button (click)="backToGroupProfile()">
	  		<ion-icon class="customIcon" name="arrow-back"></ion-icon>
	  	</button>
	</ion-buttons>
    <ion-title>Project Dashboard</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
	
	<div class="no-proj-board-messages-container" *ngIf="totalProjBoard < 1">
		<div class="no-proj-board-messages-inner-container">
			<div class="no-proj-board-messages">There is no project board <br>created at the moment.</div>
		</div>
	</div>
	<ion-card *ngFor="let projBoardList of projBoardList$ | async" [class]="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask) > 99 ? 'project-board-card-finished card card-ios' : 'project-board-card-in-progress card card-ios'" (click)="selectProjBoard(projBoardList.key)">
		<ion-row (press)="boardMoreOptions(projBoardList, projBoardList.boardName)">
			<ion-col col-4>
				<div [class]="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask) > 99 ? 'percentage-finishes-container-finished' : 'percentage-finishes-container-in-progress'">
					<p [class]="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask) > 99 ? 'percentage-finishes-finished' : 'percentage-finishes-in-progress'">{{ projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask) }}</p>
					<span class="percentage-finishes-percent">%</span>
				</div>		
			</ion-col>
			<ion-col col-8>
				<div class="board-name-container">
					<h2 [class]="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask) > 99 ? 'board-name-finished' : 'board-name-in-progress'">{{ projBoardList.boardName }}</h2>
				</div>
				<div [class]="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask) > 99 ? 'project-board-progress-status-container-completed' : 'project-board-progress-status-container-in-progress'">
					<p [class]="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask) > 99 ? 'project-board-progress-status-in-completed' : 'project-board-progress-status-in-progress'">{{ projectProgressStatus(projBoardList.totalCompletedTask, projBoardList.totalTask) }}</p>
				</div>
			</ion-col>
		</ion-row>
	</ion-card>

</ion-content>

<ion-footer>
  <button class="add-new-project-btn" ion-button round block outline color="dark" (click)="addNewProjectBoard()">
    <ion-icon name="add"></ion-icon>
    <span>&nbsp;Project Board</span>
  </button>
</ion-footer>
